var portName_L = new Array();
var portName_U = new Array();

// For each Linux interface name in the boardparms.c file, add
// a corresponding Linux interface name and a user-friendly name
// of its equivalent that must be displayed on the WEB UI. It is
// best if the new inteface names are added at the end.

// Wireless interfac Linux interface name
portName_L[0]     = 'wl0';
// Wireless interface user-friendly name
portName_U[0]     = 'Wireless';

// USB interface Linux interface name
portName_L[1]     = 'usb0';
// USB user-friendly name
portName_U[1]     = 'USB';

// Board ID 96338SV Linux name
portName_L[2]     = '96338SV|eth0';
// Board ID 96338SV user-friendly name
portName_U[2]     = '96338SV|ENET';

//Board ID 96338L-2M-8M Linux name
portName_L[3]     = '96338L-2M-8M|eth0';
//Board ID 96338L-2M-8M user-friendly name
portName_U[3]     = '96338L-2M-8M|ENET';

// Board ID 96345R Linux name
portName_L[4]     = '96345R|eth0';
// Board ID 96345R user-friendly name
portName_U[4]     = '96345R|ENET';

// Board ID 96345GW2 Linux names
portName_L[5]     = '96345GW2|eth0';
portName_L[6]     = '96345GW2|eth0.2';
portName_L[7]     = '96345GW2|eth0.3';
portName_L[8]     = '96345GW2|eth0.4';
portName_L[9]     = '96345GW2|eth0.5';
// Board ID 96345GW2 user-friendly names
portName_U[5]     = '96345GW2|ENET(1-4)';
portName_U[6]     = '96345GW2|ENET 4';
portName_U[7]     = '96345GW2|ENET 3';
portName_U[8]     = '96345GW2|ENET 2';
portName_U[9]     = '96345GW2|ENET 1';


// Board ID 96345GW Linux name
portName_L[10]    = '96345GW|eth0';
portName_L[11]    = '96345GW|eth0.2';
portName_L[12]    = '96345GW|eth0.3';
portName_L[13]    = '96345GW|eth0.4';
portName_L[14]    = '96345GW|eth0.5';
// Board ID 96345GW user-friendly names
portName_U[10]    = '96345GW|ENET(1-4)';
portName_U[11]    = '96345GW|ENET 4';
portName_U[12]    = '96345GW|ENET 3';
portName_U[13]    = '96345GW|ENET 2';
portName_U[14]    = '96345GW|ENET 1';

// Board ID 96335R Linux name
portName_L[15]    = '96335R|eth0';
// Board ID 96335R user-friendly name
portName_U[15]    = '96335R|ENET';

// Board ID 96345R0 Linux name
portName_L[16]    = '96345R0|eth0';
// Board ID 96345R0 user-friendly name
portName_U[16]    = '96345R0|ENET';

// Board ID 96345RS Linux name
portName_L[17]    = '96345RS|eth0';
// Board ID 96345RS user-friendly name
portName_U[17]    = '96345RS|ENET';

// Board ID 96348R Linux name
portName_L[18]    = '96348R|eth0';
// Board ID 96348R user-friendly name
portName_U[18]    = '96348R|ENET';

// Board ID 96348LV Linux name
portName_L[19]    = '96348LV|eth0';
portName_L[20]    = '96348LV|eth1';
// Board ID 96348LV user-friendly name
portName_U[19]    = '96348LV|ENET-1';
portName_U[20]    = '96348LV|ENET-2';

// Board ID 96348GW Linux name
portName_L[21]    = '96348GW|eth0';
portName_L[22]    = '96348GW|eth1';
portName_L[23]    = '96348GW|eth1.2';
portName_L[24]    = '96348GW|eth1.3';
portName_L[25]    = '96348GW|eth1.4';
// Board ID 96348GW user-friendly name
portName_U[21]    = '96348GW|ENET-4';
portName_U[22]    = '96348GW|ENET(1-3)';
portName_U[23]    = '96348GW|ENET 3';
portName_U[24]    = '96348GW|ENET 2';
portName_U[25]    = '96348GW|ENET 1';

// Board ID 96348GW-10 Linux name
portName_L[26]    = '96348GW-10|eth0';
portName_L[27]    = '96348GW-10|eth1';
portName_L[28]    = '96348GW-10|eth1.2';
portName_L[29]    = '96348GW-10|eth1.3';
portName_L[30]    = '96348GW-10|eth1.4';
// Board ID 96348GW-10 user-friendly name
portName_U[26]    = '96348GW-10|ENET-4';
portName_U[27]    = '96348GW-10|ENET(1-3)';
portName_U[28]    = '96348GW-10|ENET 3';
portName_U[29]    = '96348GW-10|ENET 2';
portName_U[30]    = '96348GW-10|ENET 1';

// Board ID 96348GW-11 Linux name
portName_L[31]    = '96348GW-11|eth0';
portName_L[32]    = '96348GW-11|eth0.2';
portName_L[33]    = '96348GW-11|eth0.3';
portName_L[34]    = '96348GW-11|eth0.4';
portName_L[35]    = '96348GW-11|eth0.5';
// Board ID 96348GW-11 user-friendly name
//portName_U[31]    = '96348GW-11|ENET (1-4)';
portName_U[31]    = '96348GW-11|ENET(1-4)';
portName_U[32]    = '96348GW-11|ENET 4';
portName_U[33]    = '96348GW-11|ENET 3';
portName_U[34]    = '96348GW-11|ENET 2';
portName_U[35]    = '96348GW-11|ENET 1';

// Board ID 96348SV Linux name
portName_L[36]    = '96348SV|eth0';
portName_L[37]    = '96348SV|eth1';
// Board ID 96348SV user-friendly name
portName_U[36]    = '96348SV|ENET-1';
portName_U[37]    = '96348SV|ENET-2';

// Board ID RTA1025BW Linux name
portName_L[38]    = 'RTA1025BW_16|eth0';
portName_L[39]    = 'RTA1025BW_16|eth0.2';
portName_L[40]    = 'RTA1025BW_16|eth0.3';
portName_L[41]    = 'RTA1025BW_16|eth0.4';
portName_L[42]    = 'RTA1025BW_16|eth0.5';
// Board ID RTA1025BW user-friendly names
portName_U[38]    = 'RTA1025BW_16|Ethernet';
portName_U[39]    = 'RTA1025BW_16|Ethernet.1';
portName_U[40]    = 'RTA1025BW_16|Ethernet.2';
portName_U[41]    = 'RTA1025BW_16|Ethernet.3';
portName_U[42]    = 'RTA1025BW_16|Ethernet.4';

// Board ID RTA1320 Linux name
portName_L[43]    = 'RTA1320|eth0';
portName_L[44]    = 'RTA1320|eth0.2';
portName_L[45]    = 'RTA1320|eth0.3';
portName_L[46]    = 'RTA1320|eth0.4';
portName_L[47]    = 'RTA1320|eth0.5';
// Board ID RTA1320 user-friendly names
portName_U[43]    = 'RTA1320|Ethernet';
portName_U[44]    = 'RTA1320|Ethernet.1';
portName_U[45]    = 'RTA1320|Ethernet.2';
portName_U[46]    = 'RTA1320|Ethernet.3';
portName_U[47]    = 'RTA1320|Ethernet.4';


// Board ID RTA1025W_16 Linux name
portName_L[48]    = 'RTA1025W_16|eth0';
portName_L[49]    = 'RTA1025W_16|eth0.2';
portName_L[50]    = 'RTA1025W_16|eth0.3';
portName_L[51]    = 'RTA1025W_16|eth0.4';
portName_L[52]    = 'RTA1025W_16|eth0.5';
// Board ID RTA1025W_16 user-friendly names
portName_U[48]    = 'RTA1025W_16|Ethernet';
portName_U[49]    = 'RTA1025W_16|Ethernet.1';
portName_U[50]    = 'RTA1025W_16|Ethernet.2';
portName_U[51]    = 'RTA1025W_16|Ethernet.3';
portName_U[52]    = 'RTA1025W_16|Ethernet.4';

// Board ID RTA1320B Linux name
portName_L[53]    = 'RTA1320B|eth0';
portName_L[54]    = 'RTA1320B|eth0.2';
portName_L[55]    = 'RTA1320B|eth0.3';
portName_L[56]    = 'RTA1320B|eth0.4';
portName_L[57]    = 'RTA1320B|eth0.5';
// Board ID RTA1320B user-friendly names
portName_U[53]    = 'RTA1320B|Ethernet';
portName_U[54]    = 'RTA1320B|Ethernet.1';
portName_U[55]    = 'RTA1320B|Ethernet.2';
portName_U[56]    = 'RTA1320B|Ethernet.3';
portName_U[57]    = 'RTA1320B|Ethernet.4';


// Board ID RTA1505W_16 Linux name
portName_L[58]    = 'RTA1505W_16|eth0';
portName_L[59]    = 'RTA1505W_16|eth0.2';
portName_L[60]    = 'RTA1505W_16|eth0.3';
portName_L[61]    = 'RTA1505W_16|eth0.4';
portName_L[62]    = 'RTA1505W_16|eth0.5';
// Board ID RTA1505W_16 user-friendly names
portName_U[58]    = 'RTA1505W_16|Ethernet';
portName_U[59]    = 'RTA1505W_16|Ethernet.1';
portName_U[60]    = 'RTA1505W_16|Ethernet.2';
portName_U[61]    = 'RTA1505W_16|Ethernet.3';
portName_U[62]    = 'RTA1505W_16|Ethernet.4';


// Board ID RTA1046VW Linux name
portName_L[63]    = 'RTA1046VW|eth0';
portName_L[64]    = 'RTA1046VW|eth0.2';
portName_L[65]    = 'RTA1046VW|eth0.3';
portName_L[66]    = 'RTA1046VW|eth0.4';
portName_L[67]    = 'RTA1046VW|eth0.5';
// Board ID RTA1046VW user-friendly names
portName_U[63]    = 'RTA1046VW|Ethernet';
portName_U[64]    = 'RTA1046VW|Ethernet.1';
portName_U[65]    = 'RTA1046VW|Ethernet.2';
portName_U[66]    = 'RTA1046VW|Ethernet.3';
portName_U[67]    = 'RTA1046VW|Ethernet.4';

// Board ID RTA1046BVW Linux name
portName_L[68]    = 'RTA1046BVW|eth0';
portName_L[69]    = 'RTA1046BVW|eth0.2';
portName_L[70]    = 'RTA1046BVW|eth0.3';
portName_L[71]    = 'RTA1046BVW|eth0.4';
portName_L[72]    = 'RTA1046BVW|eth0.5';
// Board ID RTA1046BVW user-friendly names
portName_U[68]    = 'RTA1046BVW|Ethernet';
portName_U[69]    = 'RTA1046BVW|Ethernet.1';
portName_U[70]    = 'RTA1046BVW|Ethernet.2';
portName_U[71]    = 'RTA1046BVW|Ethernet.3';
portName_U[72]    = 'RTA1046BVW|Ethernet.4';


// Board ID RTA1505BW_16 Linux name
portName_L[73]    = 'RTA1505BW_16|eth0';
portName_L[74]    = 'RTA1505BW_16|eth0.2';
portName_L[75]    = 'RTA1505BW_16|eth0.3';
portName_L[76]    = 'RTA1505BW_16|eth0.4';
portName_L[77]    = 'RTA1505BW_16|eth0.5';
// Board ID RTA1505BW_16 user-friendly names
portName_U[73]    = 'RTA1505BW_16|Ethernet';
portName_U[74]    = 'RTA1505BW_16|Ethernet.1';
portName_U[75]    = 'RTA1505BW_16|Ethernet.2';
portName_U[76]    = 'RTA1505BW_16|Ethernet.3';
portName_U[77]    = 'RTA1505BW_16|Ethernet.4';

// Board ID RTA1052BVW Linux name
portName_L[78]    = 'RTA1052BVW|eth0';
portName_L[79]    = 'RTA1052BVW|eth0.2';
portName_L[80]    = 'RTA1052BVW|eth0.3';
portName_L[81]    = 'RTA1052BVW|eth0.4';
portName_L[82]    = 'RTA1052BVW|eth0.5';
// Board ID RTA1052BVW user-friendly names
portName_U[78]    = 'RTA1052BVW|Ethernet';
portName_U[79]    = 'RTA1052BVW|Ethernet.1';
portName_U[80]    = 'RTA1052BVW|Ethernet.2';
portName_U[81]    = 'RTA1052BVW|Ethernet.3';
portName_U[82]    = 'RTA1052BVW|Ethernet.4';

// Board ID RTA1320 Linux name
portName_L[83]    = 'RTA1320_16M|eth0';
portName_L[84]    = 'RTA1320_16M|eth0.2';
portName_L[85]    = 'RTA1320_16M|eth0.3';
portName_L[86]    = 'RTA1320_16M|eth0.4';
portName_L[87]    = 'RTA1320_16M|eth0.5';
// Board ID RTA1320 user-friendly names
portName_U[83]    = 'RTA1320_16M|Ethernet';
portName_U[84]    = 'RTA1320_16M|Ethernet.1';
portName_U[85]    = 'RTA1320_16M|Ethernet.2';
portName_U[86]    = 'RTA1320_16M|Ethernet.3';
portName_U[87]    = 'RTA1320_16M|Ethernet.4';

// Board ID RTA1320B Linux name
portName_L[88]    = 'RTA1320B_16M|eth0';
portName_L[89]    = 'RTA1320B_16M|eth0.2';
portName_L[90]    = 'RTA1320B_16M|eth0.3';
portName_L[91]    = 'RTA1320B_16M|eth0.4';
portName_L[92]    = 'RTA1320B_16M|eth0.5';
// Board ID RTA1320B user-friendly names
portName_U[88]    = 'RTA1320B_16M|Ethernet';
portName_U[89]    = 'RTA1320B_16M|Ethernet.1';
portName_U[90]    = 'RTA1320B_16M|Ethernet.2';
portName_U[91]    = 'RTA1320B_16M|Ethernet.3';
portName_U[92]    = 'RTA1320B_16M|Ethernet.4';

// Board ID RTA1052VW Linux name
portName_L[93]    = 'RTA1052VW|eth0';
portName_L[94]    = 'RTA1052VW|eth0.2';
portName_L[95]    = 'RTA1052VW|eth0.3';
portName_L[96]    = 'RTA1052VW|eth0.4';
portName_L[97]    = 'RTA1052VW|eth0.5';
// Board ID RTA1052VW user-friendly names
portName_U[93]    = 'RTA1052VW|Ethernet';
portName_U[94]    = 'RTA1052VW|Ethernet.1';
portName_U[95]    = 'RTA1052VW|Ethernet.2';
portName_U[96]    = 'RTA1052VW|Ethernet.3';
portName_U[97]    = 'RTA1052VW|Ethernet.4';

// Board ID RTA1046VW_32M Linux name
portName_L[98]     = 'RTA1046VW_32M|eth0';
portName_L[99]     = 'RTA1046VW_32M|eth0.2';
portName_L[100]    = 'RTA1046VW_32M|eth0.3';
portName_L[101]    = 'RTA1046VW_32M|eth0.4';
portName_L[102]    = 'RTA1046VW_32M|eth0.5';
// Board ID RTA1046VW_32M user-friendly names
portName_U[98]     = 'RTA1046VW_32M|Ethernet';
portName_U[99]     = 'RTA1046VW_32M|Ethernet.1';
portName_U[100]    = 'RTA1046VW_32M|Ethernet.2';
portName_U[101]    = 'RTA1046VW_32M|Ethernet.3';
portName_U[102]    = 'RTA1046VW_32M|Ethernet.4';

// Board ID RTA1046BVW_32M Linux name
portName_L[103]    = 'RTA1046BVW_32M|eth0';
portName_L[104]    = 'RTA1046BVW_32M|eth0.2';
portName_L[105]    = 'RTA1046BVW_32M|eth0.3';
portName_L[106]    = 'RTA1046BVW_32M|eth0.4';
portName_L[107]    = 'RTA1046BVW_32M|eth0.5';
// Board ID RTA1046BVW_32M user-friendly names
portName_U[103]    = 'RTA1046BVW_32M|Ethernet';
portName_U[104]    = 'RTA1046BVW_32M|Ethernet.1';
portName_U[105]    = 'RTA1046BVW_32M|Ethernet.2';
portName_U[106]    = 'RTA1046BVW_32M|Ethernet.3';
portName_U[107]    = 'RTA1046BVW_32M|Ethernet.4';

function transNastoBr(name){
	var temp='';
	if (name.indexOf('nas',0)!=-1){
		temp = name.substr(3,name.length);
		name='br'+temp;
		return name;
	} else {
		return temp;
	}
}

function getUNameByLName(name) {
   var index = 0;
   var uName   = '';

   // SafetyNet if someone sends a name without prefixing the
   // board ID and |, then return that name.
   if (name.indexOf('|') == -1)
      return name;
   if (name.indexOf('wl0') != -1) {
      return 'Wireless';
   }
   if (name.indexOf('usb0') != -1) {
      return 'USB';
   }
   for (index = 0; index < portName_L.length; index++) {
      if (portName_L[index] == name) {
         uName = portName_U[index].split('|');
         return uName[1];
      }
   }
   // If nothing matches, then return the name minus its
   // preceeding board ID.
   uName = name.split('|');
   return uName[1];
}

function getLNameByUName(name) {
   var index = 0;
   var brdIntf = name.split('|');
   var lName   = '';
   var uName   = '';

   // SafetyNet if someone sends a name without prefixing the
   // board ID and |, then return that name.
   if (name.indexOf('|') == -1)
      return name;
   if (name.indexOf('Wireless') != -1)
      return 'wl0';
   if (name.indexOf('USB') != -1)
      return 'usb0';
   for (index = 0; index < portName_U.length; index++) {
      uName = portName_U[index].split('|');
      if (portName_U[index] == name) {
         lName = portName_L[index].split('|');
         return lName[1];
      }
   }
   lName = name.split('|');
   return lName[1];
}
